Subject: bug#32599: 25.2; Feature request: input PUA characters by name

From: [email-masked] (Janusz S. Bień)
Date: Thu, 31 Dec 2020 07:39:03 +0100

On Wed, Dec 30 2020 at 22:52 +02, Eli Zaretskii wrote:
>> From: [email-masked] (Janusz S. Bień)
>> Cc: [email-masked]
>> Date: Wed, 30 Dec 2020 18:49:26 +0100
>> 
>> Which part of the code is responsible for prompting, name input and
>> consulting the character names list?
>
> The interactive spec:
>
>      "(list (read-char-by-name \"Insert character (Unicode name or hex): \")\
> 	    (prefix-numeric-value current-prefix-arg)\
> 	    t))",
>
> IOW, the call to read-char-by-name does that.

Thanks. The answer was quite obvious, I'm slightly ashamed I didn't
noticed it :-(

So the PUA names are to be added to ucs-names in mule-cmds.el. At first
glance it doesn't seem difficult, as I already have them in the form of 
uni-name.el. I will work on it after New Year.

Regards - Janusz

-- 
             ,   
Janusz S. Bien
emeryt (emeritus)
https://sites.google.com/view/jsbien